
_InitMain:

;max7219.mbas,25 :: 		sub procedure InitMain()
;max7219.mbas,26 :: 		TrisA = %00001000
	MOVLW      8
	MOVWF      TRISA+0
;max7219.mbas,27 :: 		TrisB = %00000100
	MOVLW      4
	MOVWF      TRISB+0
;max7219.mbas,29 :: 		MAX7219_Chip1_Select = 1
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,30 :: 		MAX7219_Chip1_Select_Direction = 0
	BCF        TRISA1_bit+0, BitPos(TRISA1_bit+0)
;max7219.mbas,32 :: 		MAX7219_Chip2_Select = 1
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,33 :: 		MAX7219_Chip2_Select_Direction = 0              ' Set CS# pin as Output
	BCF        TRISA3_bit+0, BitPos(TRISA3_bit+0)
;max7219.mbas,35 :: 		Delay_ms(100)
	MOVLW      33
	MOVWF      R12+0
	MOVLW      118
	MOVWF      R13+0
L__InitMain1:
	DECFSZ     R13+0, 1
	GOTO       L__InitMain1
	DECFSZ     R12+0, 1
	GOTO       L__InitMain1
	NOP
;max7219.mbas,36 :: 		Soft_Spi_Init()                        ' Initialize Soft_SPI
	CALL       _Soft_SPI_Init+0
;max7219.mbas,38 :: 		end sub
L_end_InitMain:
	RETURN
; end of _InitMain

_Max7219Init1:

;max7219.mbas,41 :: 		Dim Counter as byte
;max7219.mbas,42 :: 		Counter = 0
	CLRF       Max7219Init1_Counter+0
;max7219.mbas,45 :: 		MAX7219_Chip1_Select = 0
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,46 :: 		Soft_SPI_Write(0x0C)
	MOVLW      12
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,47 :: 		Soft_SPI_Write(1)
	MOVLW      1
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,48 :: 		MAX7219_Chip1_Select = 1
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,51 :: 		MAX7219_Chip1_Select = 0
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,52 :: 		Soft_SPI_Write(0x0F)
	MOVLW      15
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,53 :: 		Soft_SPI_Write(0x00)
	CLRF       FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,54 :: 		MAX7219_Chip1_Select = 1
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,57 :: 		MAX7219_Chip1_Select = 0
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,58 :: 		Soft_SPI_Write(0x09)
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,59 :: 		Soft_SPI_Write(0xFF)
	MOVLW      255
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,60 :: 		MAX7219_Chip1_Select = 1
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,63 :: 		MAX7219_Chip1_Select = 0
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,64 :: 		Soft_SPI_Write(0x0B)
	MOVLW      11
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,65 :: 		Soft_SPI_Write(7)
	MOVLW      7
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,66 :: 		MAX7219_Chip1_Select = 1
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,69 :: 		MAX7219_Chip1_Select = 0
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,70 :: 		Soft_SPI_Write(0x0A)
	MOVLW      10
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,71 :: 		Soft_SPI_Write(8)
	MOVLW      8
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,72 :: 		MAX7219_Chip1_Select = 1
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,76 :: 		For  Counter = 1 to 8
	MOVLW      1
	MOVWF      Max7219Init1_Counter+0
L__Max7219Init14:
;max7219.mbas,77 :: 		MAX7219_Chip1_Select = 0
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,78 :: 		Soft_SPI_Write(Counter)
	MOVF       Max7219Init1_Counter+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,79 :: 		Soft_SPI_Write(15)
	MOVLW      15
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,80 :: 		MAX7219_Chip1_Select = 1
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,81 :: 		next counter
	MOVF       Max7219Init1_Counter+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L__Max7219Init17
	INCF       Max7219Init1_Counter+0, 1
	GOTO       L__Max7219Init14
L__Max7219Init17:
;max7219.mbas,84 :: 		MAX7219_Chip1_Select = 0
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,85 :: 		Soft_SPI_Write(8)
	MOVLW      8
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,86 :: 		Soft_SPI_Write(0)
	CLRF       FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,87 :: 		MAX7219_Chip1_Select = 1
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,89 :: 		end sub
L_end_Max7219Init1:
	RETURN
; end of _Max7219Init1

_Max7219Init2:

;max7219.mbas,94 :: 		dim Counter as byte
;max7219.mbas,95 :: 		Counter = 0
	CLRF       Max7219Init2_Counter+0
;max7219.mbas,98 :: 		MAX7219_Chip2_Select = 0
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,99 :: 		Soft_SPI_Write(0x0C)
	MOVLW      12
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,100 :: 		Soft_SPI_Write(1)
	MOVLW      1
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,101 :: 		MAX7219_Chip2_Select = 1
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,104 :: 		MAX7219_Chip2_Select = 0
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,105 :: 		Soft_SPI_Write(0x0F)
	MOVLW      15
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,106 :: 		Soft_SPI_Write(0x00)
	CLRF       FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,107 :: 		MAX7219_Chip2_Select = 1
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,110 :: 		MAX7219_Chip2_Select = 0
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,111 :: 		Soft_SPI_Write(0x09)
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,112 :: 		Soft_SPI_Write(0xFF)
	MOVLW      255
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,113 :: 		MAX7219_Chip2_Select = 1
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,116 :: 		MAX7219_Chip2_Select = 0
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,117 :: 		Soft_SPI_Write(0x0B)
	MOVLW      11
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,118 :: 		Soft_SPI_Write(7)
	MOVLW      7
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,119 :: 		MAX7219_Chip2_Select = 1
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,122 :: 		MAX7219_Chip2_Select = 0
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,123 :: 		Soft_SPI_Write(0x0A)
	MOVLW      10
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,124 :: 		Soft_SPI_Write(8)
	MOVLW      8
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,125 :: 		MAX7219_Chip2_Select = 1
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,128 :: 		For  Counter = 1 to 8
	MOVLW      1
	MOVWF      Max7219Init2_Counter+0
L__Max7219Init210:
;max7219.mbas,129 :: 		MAX7219_Chip2_Select = 0
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,130 :: 		Soft_SPI_Write(Counter)
	MOVF       Max7219Init2_Counter+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,131 :: 		Soft_SPI_Write(15)
	MOVLW      15
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,132 :: 		MAX7219_Chip2_Select = 1
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,133 :: 		next counter
	MOVF       Max7219Init2_Counter+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L__Max7219Init213
	INCF       Max7219Init2_Counter+0, 1
	GOTO       L__Max7219Init210
L__Max7219Init213:
;max7219.mbas,136 :: 		MAX7219_Chip2_Select = 0
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,137 :: 		Soft_SPI_Write(8)
	MOVLW      8
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,138 :: 		Soft_SPI_Write(0)
	CLRF       FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,139 :: 		MAX7219_Chip2_Select = 1
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,141 :: 		end sub
L_end_Max7219Init2:
	RETURN
; end of _Max7219Init2

_main:

;max7219.mbas,143 :: 		main:
;max7219.mbas,146 :: 		InitMain()
	CALL       _InitMain+0
;max7219.mbas,147 :: 		Max7219Init1()
	CALL       _Max7219Init1+0
;max7219.mbas,148 :: 		Max7219Init2()
	CALL       _Max7219Init2+0
;max7219.mbas,151 :: 		MAX7219_Chip1_Select = 0
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,152 :: 		Soft_SPI_Write(1) '7Seg0
	MOVLW      1
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,153 :: 		Soft_SPI_Write(0) 'Number
	CLRF       FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,154 :: 		MAX7219_Chip1_Select = 1
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,157 :: 		MAX7219_Chip1_Select = 0
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,158 :: 		Soft_SPI_Write(1) '7Seg1
	MOVLW      1
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,159 :: 		Soft_SPI_Write(1) 'Number
	MOVLW      1
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,160 :: 		MAX7219_Chip1_Select = 1
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max7219.mbas,163 :: 		MAX7219_Chip2_Select = 0
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,164 :: 		Soft_SPI_Write(1) '7Seg0
	MOVLW      1
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,165 :: 		Soft_SPI_Write(0) 'Number
	CLRF       FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,166 :: 		MAX7219_Chip2_Select = 1
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,169 :: 		MAX7219_Chip2_Select = 0
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;max7219.mbas,170 :: 		Soft_SPI_Write(1) '7Seg1
	MOVLW      1
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,171 :: 		Soft_SPI_Write(1) 'Number
	MOVLW      1
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
;max7219.mbas,172 :: 		MAX7219_Chip2_Select = 1
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
L_end_main:
	GOTO       $+0
; end of _main
